---
name: Bug report
about: Report a bug encountered while using the nepali_calendar_utils package
title: "[BUG] - <Short description of the bug>"
labels: bug
assignees: shivathapaa

---

### Describe the Bug
A clear and concise description of the problem.

---

### Steps to Reproduce
Steps to reproduce the behavior:
1. Import the package:
   ```python
   from nepali_date_utils import some_function
   ```
2. Use it in your code:
   ```python
   result = some_function(..)
   ```
3. Run the code and observe the error.

---

### Expected Behavior
What did you expect to happen?

---

### Error Details
Provide the full error message or traceback, if available:
```plaintext
Error or traceback here
```

---

### Screenshots (Optional)
If applicable, add screenshots or images to help explain your problem.

---

### Environment Details
 - **Python Version**: [e.g., 3.10.5]
 - **OS**: [e.g., Ubuntu 22.04, macOS Ventura, Windows 11]
 - **Package Version**: [e.g., 1.2.0]

---

### Nepali Date Details (If Applicable)
 - **Nepali Date**: [e.g., 2081-03-21]
 - **Corresponding Gregorian Date**: [e.g., 2024-07-05]

---

### Additional Context
Add any other context, logs, or configurations related to the problem.
For example:
- Sample code snippets
- Relevant dependencies in `requirements.txt`
- Specific use case or edge cases

---

Thank you for helping us improve this package! 🙌
